task_manager.h File Reference
`#include <deque>`
`#include <utility>`
`#include <exception>`
`#include <memory>`
`#include <future>`
`#include <type_traits>`
`#include <c++-gtk-utils/callback.h>`
`#include <c++-gtk-utils/thread.h>`
`#include <c++-gtk-utils/mutex.h>`
`#include <c++-gtk-utils/async_queue.h>`
`#include <c++-gtk-utils/shared_ptr.h>`
`#include <c++-gtk-utils/async_result.h>`
`#include <c++-gtk-utils/emitter.h>`
`#include <c++-gtk-utils/cgu_config.h>`
`#include <c++-gtk-utils/task_manager.tpp>`

Go to the source code of this file.

## Classes

struct | Cgu::Thread::TaskError
class | Cgu::Thread::TaskManager
| A thread-pool class for managing tasks in multi-threaded programs. More...
class | Cgu::Thread::TaskManager::IncHandle
| A scoped handle for exception safe incrementing of the maximum number of threads that a TaskManager object will run. More...

## Namespaces

| Cgu
| Cgu::Thread